﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 332: (1 yr) VER IEEE /5500A+SC600
DATE:                  2010-07-30 10:53:24
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       260
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ332
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Select Channel IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /5500+S6
#        Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /5500+S6
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5500+S6
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5500+S6
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5500+S6
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5500+S6
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  13 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         500.1MH                      1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  MATH         @ReqMetCalVersion = "7.20v"
  1.006  CALL         Sub MET/VERsion Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20v or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method (No NTHROW)

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.017  DISP         operation as follows:
  1.017  DISP
  1.017  DISP         Push UUT front panel UTILITES button, followed by the
  1.017  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.017  DISP         "GPIB" softkey.
  1.017  DISP
  1.017  DISP         If this workstation is equipped with two GPIB cards,
  1.017  DISP         the address is unimportant, as long as it is not (0)
  1.017  DISP         zero. If only 1 GPIB card is installed, however, the
  1.017  DISP         UUT address must not conflict with those of configured
  1.017  DISP         references.
  1.017  DISP
  1.017  DISP         If necessary, depress the "Address" softkey and set
  1.017  DISP         the UUT address using the ADJUST knob.
  1.017  DISP
  1.017  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.017  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.018  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.019  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.020  DISP         The file parameter setting is: "acc_check=no"
  1.020  DISP
  1.020  DISP         For correct procedure execution, this parameter
  1.020  DISP         MUST be set to: "acc_check=yes"
  1.020  DISP
  1.020  DISP         Select "Advance" to terminate the procedure, exit
  1.020  DISP         MET/CAL®, change the initialization file parameter,
  1.020  DISP         restart MET/CAL, then restart the procedure.
  1.021  END
  1.022  ENDIF

  1.023  IEEE         *CLS;*RST

  1.024  HEAD         UUT IDENTIFICATION
  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.026  MATH         @UUT_Manufacturer = "LECROY"
  1.027  MATH         @UUT_Model        = "WJ332"
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

  1.032  IF           @FirmwareRev < 3.06
  1.033  DISP         This procedure requires firmware version 3.06 or later.
  1.033  DISP
  1.033  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.033  DISP         firmware and installation instructions are available
  1.033  DISP         for download.
  1.034  ENDIF

# Set the system confidence level to 95%.
  1.035  MATH         @SysConf   = 2
  1.036  MATH         @DevName   = "Fluke 5500A"
  1.037  MATH         @Bandwidth = 300E+6
  1.038  MATH         @NumChan   = 2

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   CHANNEL INPUT IMPEDANCE(CH1)       PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH2)       EXTERNAL INPUT IMPEDANCE
#    4.   EXTERNAL INPUT IMPEDANCE           CHANNEL INPUT IMPEDANCE(CH1)
#    5.   PEAK-PEAK NOISE LEVEL              DC GAIN ACC(CH1)
#    6.   DC GAIN ACC(CH1)                   OFFSET ACC(CH1)
#    7.   DC GAIN ACC(CH2)                   BANDWIDTH(CH1)
#    8.   OFFSET ACC(CH1)                    TRIGGER LEVEL(CH1)
#    9.   OFFSET ACC(CH2)                    TIME BASE
#   10.   BANDWIDTH(CH1)                     CHANNEL INPUT IMPEDANCE(CH2)
#   11.   BANDWIDTH(CH2)                     DC GAIN ACC(CH2)
#   12.   TRIGGER LEVEL(CH1)                 OFFSET ACC(CH2)
#   13.   TRIGGER LEVEL(CH2)                 BANDWIDTH(CH2)
#   14.   TIME BASE                          TRIGGER LEVEL(CH2)

  1.039  CALL         Sub LeCroy WJ300 Self-Test IEEE

  1.040  IF           @Abort
  1.041  END
  1.042  ENDIF

  1.043  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.044  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.045  MATH         @Chan = 1
  1.046  CALL         Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /5500+S6
  1.047  JMPL         DC_GAIN_ACC_CH1

  1.048  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.049  MATH         @Chan = 2
  1.050  CALL         Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /5500+S6
  1.051  JMPL         DC_GAIN_ACC_CH2

  1.052  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.053  MATH         @Chan = 5
  1.054  CALL         Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /5500+S6
  1.055  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.056  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.057  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  1.058  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.059  LABEL        DC_GAIN_ACC_CH1
  1.060  MATH         @Chan = 1
  1.061  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5500+S6
  1.062  JMPL         OFFSET_ACC_CH1

  1.063  LABEL        DC_GAIN_ACC_CH2
  1.064  MATH         @Chan = 2
  1.065  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5500+S6
  1.066  JMPL         OFFSET_ACC_CH2

  1.067  LABEL        OFFSET_ACC_CH1
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5500+S6
  1.070  JMPL         BANDWIDTH_CH1

  1.071  LABEL        OFFSET_ACC_CH2
  1.072  MATH         @Chan = 2
  1.073  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5500+S6
  1.074  JMPL         BANDWIDTH_CH2

  1.075  LABEL        BANDWIDTH_CH1
  1.076  MATH         @Chan = 1
  1.077  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5500+S6
  1.078  JMPL         TRIGGER_LEVEL_CH1

  1.079  LABEL        BANDWIDTH_CH2
  1.080  MATH         @Chan = 2
  1.081  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5500+S6
  1.082  JMPL         TRIGGER_LEVEL_CH2

  1.083  LABEL        TRIGGER_LEVEL_CH1
  1.084  MATH         @Chan = 1
  1.085  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5500+S6
  1.086  JMPL         TIME_BASE

  1.087  LABEL        TRIGGER_LEVEL_CH2
  1.088  MATH         @Chan = 2
  1.089  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5500+S6
  1.090  JMPL         END

  1.091  LABEL        TIME_BASE
  1.092  MATH         @Chan = 1
  1.093  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5500+S6
  1.094  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.095  LABEL        END
  1.096  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.097  END
