﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Chan In Impedance IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Ext In Impedance IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /5500+S6
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /5500+S6
DATE:                  2010-07-30 09:43:36
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       20
NUMBER OF LINES:       422
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        VY, DFM
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub LeCroy WJ300 Select Channel IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE         *CLS;*RST
  1.002  WAIT         -t 3 UUT Resetting...
  1.003  CALL         Sub LeCroy WJ300 Select Channel IEEE
  1.004  MATH         Ch = @Chan

  1.005  IF           Ch == 1
  1.006  MATH         ChLabel = "1 X"
  1.007  ELSEIF       Ch == 2
  1.008  MATH         ChLabel = "2 Y"
  1.009  ELSE
  1.010  MATH         ChLabel = Ch
  1.011  ENDIF

  1.012  MATH         Std = @DevName
  1.013  MATH         Conf = @SysConf

  1.014  JMPL         CHANNEL_INPUT_IMPEDANCE       PSUBI("Chan In Impedance")
  1.015  JMPL         EXT_INPUT_IMPEDANCE           PSUBI("Ext In Impedance")
  1.016  JMPL         DC_GAIN_ACC                   PSUBI("DC Gain Acc")
  1.017  JMPL         OFFSET_ACC                    PSUBI("Offset Acc")
  1.018  DISP         {Undefined subprocedure!}
  1.019  END

  1.020  EVAL   Increment step number

# ====================== Channel Input Impedance =============================

  2.001  LABEL        CHANNEL_INPUT_IMPEDANCE
  2.002  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 1 MOhm, 100 mV/div

  2.003  IF           Ch == 1
  2.004  RSLT         =
  2.005  RSLT         =CHANNEL INPUT IMPEDANCE
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V Ch]

  2.009  TARGET       -p
  2.010  DISP         Connect the 5500A SCOPE OUT to the UUT CH[V ChLabel].

  2.011  IF           (@Bandwidth > 200E+6) && (Ch == 1)
  2.012  DISP         The next operator intervention occurs in
  2.012  DISP         approximately 9 minutes, 30 seconds...
  2.013  ELSEIF       (@Bandwidth > 200E+6) && (Ch > 1)
  2.014  DISP         The next operator intervention occurs in
  2.014  DISP         approximately 7 minutes, 30 seconds...
  2.015  ELSE
  2.016  DISP         The next operator intervention occurs in
  2.016  DISP         approximately 2 minutes, 50 seconds...
  2.017  ENDIF

  2.018  TSET         TDESC = DC 1 MOhm, 100 mV/div
  2.019  TSET         NTHROW = 3 NMEAS = 2
  2.020  IEEE         TDIV 200E-9
  2.021  IEEE         C[V Ch]:CPL DC1M
  2.021  IEEE         C[V Ch]:VDIV 100E-3
  2.022  IEEE         TRMD AUTO
  2.023  TARGET       -m
  2.024  5500         1.000MZ        1.5%                            ZM    2W

  3.001  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 1 MOhm, 1 V/div
  3.002  TSET         TDESC = DC 1 MOhm, 1 V/div
  3.003  TSET         NTHROW = 3 NMEAS = 2
  3.004  IEEE         C[V Ch]:CPL DC1M
  3.005  IEEE         C[V Ch]:VDIV 1
  3.006  TARGET       -m
  3.007  5500         1.000MZ        1.5%                            ZM    2W

# 50 Ohm input is only available for WJ35x and WJ33x.
  4.001  IF           @Bandwidth > 200E+6
  4.002  HEAD         CH[V Ch] INPUT IMPEDANCE: DC 50 Ohm, 100 mV/div
  4.003  TARGET       -p
  4.004  TSET         TDESC = DC 50 Ohm, 100 mV/div
  4.005  TSET         NTHROW = 3 NMEAS = 2
  4.006  IEEE         C[V Ch]:CPL DC50
  4.007  IEEE         C[V Ch]:VDIV 100E-3
  4.008  TARGET       -m
  4.009  5500         50.00Z         1.5%                            ZM    2W
  5.001  ENDIF

  5.002  HEAD         CH[V Ch] INPUT IMPEDANCE: AC 1 MOhm, 100 mV/div
  5.003  TSET         TDESC = AC 1 MOhm, 100 mV/div
  5.004  TSET         NTHROW = 3 NMEAS = 2
  5.005  IEEE         C[V Ch]:CPL AC1M
  5.006  IEEE         C[V Ch]:VDIV 100E-3
  5.007  TARGET       -m
  5.008  5500         1.000MZ        1.5%                            ZM    2W

  6.001  HEAD         CH[V Ch] INPUT IMPEDANCE: AC 1.2 MOhm, 10 mV/div
  6.002  TSET         TDESC = AC 1.2 MOhm, 10 mV/div
  6.003  TSET         NTHROW = 2 NMEAS = 2
  6.004  IEEE         C[V Ch]:CPL AC1M
  6.005  IEEE         C[V Ch]:VDIV 10E-3
  6.006  TARGET       -m
  6.007  5500         1.200MZ        1.5%                            ZM    2W

  7.001  HEAD
  7.002  5500         *                                                 S
  7.003  END

  7.004  EVAL   Increment step number

# ====================== Ext Input Impedance =================================

  8.001  LABEL        EXT_INPUT_IMPEDANCE
  8.002  RSLT         =
  8.003  RSLT         =External Trigger Input

  8.004  HEAD         EXT TRIGGER INPUT IMPEDANCE: EXT, DC 1 MOhm
  8.005  TARGET       -p
  8.006  DISP         Connect the 5500A SCOPE OUT to the UUT EXT input.
  8.007  TSET         TDESC = EXT, DC 1 MOhm
  8.008  TSET         NTHROW = 3 NMEAS = 2
  8.009  IEEE         TRMD AUTO
  8.010  IEEE         TSRC EXT;TCPL DC
  8.011  TARGET       -m
  8.012  5500         1.000MZ        1.5%                            ZM    2W

  9.001  HEAD         EXT TRIGGER INPUT IMPEDANCE: EXT/10, DC 1 MOhm
  9.002  TSET         TDESC = EXT/10, DC 1 MOhm
  9.003  TSET         NTHROW = 3 NMEAS = 2
  9.004  IEEE         TSRC EXT10;TCPL DC
  9.005  TARGET       -m
  9.006  5500         1.000MZ        1.5%                            ZM    2W

 10.001  HEAD
 10.002  5500         *                                                 S
 10.003  END

 10.004  EVAL   Increment step number

# ====================== DC Gain Accuracy ====================================

 11.001  LABEL        DC_GAIN_ACC
 11.002  HEAD         CH[V Ch] DC GAIN ACCURACY: 2 mV/div, 1 MOhm

 11.003  IF           Ch == 1
 11.004  RSLT         =
 11.005  RSLT         =DC GAIN ACCURACY (1 MOhm)
 11.006  ENDIF

 11.007  RSLT         =
 11.008  RSLT         =Channel [V Ch]
 11.009  TARGET       -p
 11.010  TSET         TDESC = 2 mV/div
 11.011  IEEE         C[V Ch]:CPL DC1M
 11.012  IEEE         C[V Ch]:VDIV 2E-3
 11.013  IEEE         C[V Ch]:OFST 0
 11.014  IEEE         C[V Ch]:BWL 20M
 11.015  IEEE         ACQ AVERAGE;AVGCNT 16
 11.016  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
 11.017  IEEE         TDIV 1E-6
 11.018  IEEE         DIRM A;MSEL CH[V Ch],VMEAN;MDSP ON
 11.019  TARGET       -m
 11.020  5500         6.00mV                                         S6 S
# Get the accuracy of positive output of calibrator.
 11.021  MATH         PosAcc = ACCV(Std, "Volts S6", MEM1 * 1E-3)
 11.022  WAIT         -t 3 System Settling...
 11.023  IEEE         TRMD STOP[D1000]
 11.024  IEEE         TRMD AUTO[D1000]
 11.025  IEEE         MSRA?[I]
 11.026  MATH         PosValue = MEM / 1E-3
 11.027  5500         -6.00mV                                        S6 S
# Get the accuracy of negative output of calibrator.
 11.028  MATH         NegAcc = ACCV(Std, "Volts S6", MEM1 * 1E-3)
 11.029  WAIT         -t 3 System Settling...
 11.030  IEEE         TRMD STOP[D1000]
 11.031  IEEE         TRMD AUTO[D1000]
 11.032  IEEE         MSRA?[I]
 11.033  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to system confidence level.
 11.034  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
# Setup system accuracy.
 11.035  MATH         L[1] = L[1] / 1E-3
 11.036  ACC          12.00mV        L1U
 11.037  MATH         MEM = PosValue - NegValue
# DC Gain Accuracy Spec: ±(1.5% + 0.5% of FS)
 11.038  MEMCX  16    12.00mV        1.5% 0.5/

 12.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 5 mV/div, 1 MOhm
 12.002  TSET         TDESC = 5 mV/div
 12.003  IEEE         C[V Ch]:VDIV 5E-3
 12.004  TARGET       -m
 12.005  5500         15.00mV                                        S6 S
 12.006  MATH         PosAcc = ACCV(Std, "Volts S6", MEM1 * 1E-3)
 12.007  WAIT         -t 3 System Settling...
 12.008  IEEE         TRMD STOP[D1000]
 12.009  IEEE         TRMD AUTO[D1000]
 12.010  IEEE         MSRA?[I]
 12.011  MATH         PosValue = MEM / 1E-3
 12.012  5500         -15.00mV                                       S6 S
 12.013  MATH         NegAcc = ACCV(Std, "Volts S6", MEM1 * 1E-3)
 12.014  WAIT         -t 3 System Settling...
 12.015  IEEE         TRMD STOP[D1000]
 12.016  IEEE         TRMD AUTO[D1000]
 12.017  IEEE         MSRA?[I]
 12.018  MATH         NegValue = MEM / 1E-3
 12.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 12.020  MATH         L[1] = L[1] / 1E-3
 12.021  ACC          30.00mV        L1U
 12.022  MATH         MEM = PosValue - NegValue
 12.023  MEMCX  40    30.00mV        1.5% 0.5/

 13.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 10 mV/div, 1 MOhm
 13.002  TSET         TDESC = 10 mV/div
 13.003  IEEE         C[V Ch]:VDIV 10E-3
 13.004  TARGET       -m
 13.005  5500         30.00mV                                        S6 S
 13.006  MATH         PosAcc = ACCV(Std, "Volts S6", MEM1 * 1E-3)
 13.007  WAIT         -t 3 System Settling...
 13.008  IEEE         TRMD STOP[D1000]
 13.009  IEEE         TRMD AUTO[D1000]
 13.010  IEEE         MSRA?[I]
 13.011  MATH         PosValue = MEM / 1E-3
 13.012  5500         -30.00mV                                       S6 S
 13.013  MATH         NegAcc = ACCV(Std, "Volts S6", MEM1 * 1E-3)
 13.014  WAIT         -t 3 System Settling...
 13.015  IEEE         TRMD STOP[D1000]
 13.016  IEEE         TRMD AUTO[D1000]
 13.017  IEEE         MSRA?[I]
 13.018  MATH         NegValue = MEM / 1E-3
 13.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 13.020  MATH         L[1] = L[1] / 1E-3
 13.021  ACC          60.00mV        L1U
 13.022  MATH         MEM = PosValue - NegValue
 13.023  MEMCX  80    60.00mV        1.5% 0.5/

 14.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 100 mV/div, 1 MOhm
 14.002  TSET         TDESC = 100 mV/div
 14.003  IEEE         C[V Ch]:VDIV 0.1
 14.004  TARGET       -m
 14.005  5500         0.300V                                         S6 S
 14.006  MATH         PosAcc = ACCV(Std, "Volts S6", MEM1)
 14.007  WAIT         -t 3 System Settling...
 14.008  IEEE         TRMD STOP[D1000]
 14.009  IEEE         TRMD AUTO[D1000]
 14.010  IEEE         MSRA?[I]
 14.011  MATH         PosValue = MEM
 14.012  5500         -0.300V                                        S6 S
 14.013  MATH         NegAcc = ACCV(Std, "Volts S6", MEM1)
 14.014  WAIT         -t 3 System Settling...
 14.015  IEEE         TRMD STOP[D1000]
 14.016  IEEE         TRMD AUTO[D1000]
 14.017  IEEE         MSRA?[I]
 14.018  MATH         NegValue = MEM
 14.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 14.020  ACC          0.600V         L1U
 14.021  MATH         MEM = PosValue - NegValue
 14.022  MEMCX  0.8   0.600V         1.5% 0.5/

 15.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 1 V/div, 1 MOhm
 15.002  TSET         TDESC = 1 V/div
 15.003  IEEE         C[V Ch]:VDIV 1
 15.004  TARGET       -m
 15.005  5500         3.000V                                         S6 S
 15.006  MATH         PosAcc = ACCV(Std, "Volts S6", MEM1)
 15.007  WAIT         -t 3 System Settling...
 15.008  IEEE         TRMD STOP[D1000]
 15.009  IEEE         TRMD AUTO[D1000]
 15.010  IEEE         MSRA?[I]
 15.011  MATH         PosValue = MEM
 15.012  5500         -3.000V                                        S6 S
 15.013  MATH         NegAcc = ACCV(Std, "Volts S6", MEM1)
 15.014  WAIT         -t 3 System Settling...
 15.015  IEEE         TRMD STOP[D1000]
 15.016  IEEE         TRMD AUTO[D1000]
 15.017  IEEE         MSRA?[I]
 15.018  MATH         NegValue = MEM
 15.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 15.020  ACC          6.000V         L1U
 15.021  MATH         MEM = PosValue - NegValue
 15.022  MEMCX  8     6.000V         1.5% 0.5/

 16.001  HEAD         CH[V Ch] DC GAIN ACCURACY: 10 V/div, 1 MOhm
 16.002  TSET         TDESC = 10 V/div
 16.003  IEEE         C[V Ch]:VDIV 10
 16.004  TARGET       -m
 16.005  5500         30.00V                                         S6 S
 16.006  MATH         PosAcc = ACCV(Std, "Volts S6", MEM1)
 16.007  WAIT         -t 3 System Settling...
 16.008  IEEE         TRMD STOP[D1000]
 16.009  IEEE         TRMD AUTO[D1000]
 16.010  IEEE         MSRA?[I]
 16.011  MATH         PosValue = MEM
 16.012  5500         -30.00V                                        S6 S
 16.013  MATH         NegAcc = ACCV(Std, "Volts S6", MEM1)
 16.014  WAIT         -t 3 System Settling...
 16.015  IEEE         TRMD STOP[D1000]
 16.016  IEEE         TRMD AUTO[D1000]
 16.017  IEEE         MSRA?[I]
 16.018  MATH         NegValue = MEM
 16.019  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF(Std) * Conf
 16.020  ACC          60.00V         L1U
 16.021  MATH         MEM = PosValue - NegValue
 16.022  MEMCX  80    60.00V         1.5% 0.5/

 17.001  HEAD
 17.002  5500         *                                                 S
 17.003  END

 17.004  EVAL   Increment step number

# ====================== Offset Accuracy =====================================

 18.001  LABEL        OFFSET_ACC
 18.002  HEAD         CH[V Ch] OFFSET ACCURACY: 10 mV/div, 1 MOhm

 18.003  IF           @Chan == 1
 18.004  RSLT         =
 18.005  RSLT         =OFFSET ACCURACY (10 mV/div, 1 MOhm)
 18.006  ENDIF

 18.007  RSLT         =
 18.008  RSLT         =Channel [V Ch]

 18.009  TARGET       -p
 18.010  VSET         CONF = [V Conf]
 18.011  TSET         TDESC = Input -1 V, Offset +1 V
 18.012  IEEE         C[V Ch]:CPL DC1M
 18.013  IEEE         C[V Ch]:VDIV 10E-3
 18.014  IEEE         C[V Ch]:OFST 1
 18.015  IEEE         C[V Ch]:BWL 20M
 18.016  IEEE         ACQ AVERAGE;AVGCNT 16
 18.017  IEEE         TTYP EDGE;TSRC LINE;TRMD AUTO
 18.018  IEEE         TDIV 1E-6
 18.019  IEEE         DIRM A;MSEL CH[V Ch],VMEAN;MDSP ON
 18.020  TSET         CPT = 0 mV
 18.021  FMT          CPT = %.1f
 18.022  TARGET       -m
 18.023  5500         -1V                                            S6 S
# Save the value of calibrator output.
 18.024  MATH         Vstd = MEM1
# Get the accuracy of offset signal.
 18.025  MATH         L[1] = ACCV(Std, "Volts S6", Vstd)
# Expand to system confidence level and convert to mV unit.
 18.026  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
# Setup system accuracy
 18.027  ACC          0.0mV          L1U
 18.028  WAIT         -t 3 System Settling...
 18.029  IEEE         TRMD STOP[D1000]
 18.030  IEEE         TRMD AUTO[D1000]
 18.031  IEEE         MSRA?[I]
# Set difference between mean value and calibrator output value as UUT
# indicated value.
 18.032  MATH         MEM = (MEM - Vstd) / 1E-3
# Offset Accuracy Spec: ±(1% + 0.5% of FS + 1 mV)
 18.033  MEMCX  80    mV             1% 0.5/ 1U

 19.001  IEEE         C[V Ch]:OFST -1
 19.002  TSET         TDESC = Input +1 V, Offset -1 V
 19.003  TSET         CPT = 0 mV
 19.004  FMT          CPT = %.1f
 19.005  TARGET       -m
 19.006  5500         1V                                             S6 S
 19.007  MATH         Vstd = MEM1
 19.008  MATH         L[1] = ACCV(Std, "Volts S6", Vstd)
 19.009  MATH         L[1] = (L[1] / CONF(Std) * Conf) / 1E-3
 19.010  ACC          0.0mV          L1U
 19.011  WAIT         -t 3 System Settling...
 19.012  IEEE         TRMD STOP[D1000]
 19.013  IEEE         TRMD AUTO[D1000]
 19.014  IEEE         MSRA?[I]
 19.015  MATH         MEM = (MEM - Vstd) / 1E-3
 19.016  MEMCX  80    mV             1% 0.5/ 1U

 20.001  FMT          CPT = *
 20.002  HEAD
 20.003  5500         *                                                 S
 20.004  END
